## Specifying the Project Database

When launching understand_c commands, the existing Understand for C++ window can be used or a new Understand for C++ window can be launched and a new project loaded.

To use the existing Understand for C++ window and current project, omit the -db specifier on the command line. You can also specify -existing to override any possible user-customized preferences set in the current project. For example:

    understand_c -existing -name myEnt
     -file file.c -line 37 -ib

loads the Info Browser of the current Understand session with the specified entity.

To launch a new instance of Understand, use the -db specifier. You can also specify -new to override any possible user-customized preferences. For example:

    understand_c -db myproj.udc -new
    -name myEnt -file file.c -line 37 -ib

launches a new session of Understand, loads the database myproj.udc, and shows myEnt in the Info Browser.

You can also use the -last option to open the most recently used project if no project is currently loaded.

You can use the -demo option to open the sample project provided with Understand for C++.

Scientific Toolworks, Inc. http://www.scitools.com